###### open new plotting windows
x11()
x11()
x11()
x11()
x11()
###############################################################################
# Read the Data
# NOTE AS PER ORGINAL CODE, SPECIES ARE PRINTED IN REVERSE ORDER!
ba.t<-read.table("./BATime.out",skip=28)
ba.age<-read.table("./AgeDist.out",skip=2)
ba.dbh<-read.table("./DBHDist.out",skip=1)
###############################################################################
dev.set(2)
par(lwd=2)
plot(ba.t$V1,ba.t$V5,type="n",ylim=c(0,max(ba.t[,5:16])),xlab="Time",ylab="BasalArea (m2/ha)",main="Basal Area versus Time",cex=1.3)
lines(ba.t$V1,ba.t$V5,type="l",col=1)
lines(ba.t$V1,ba.t$V6,type="l",col=2)
lines(ba.t$V1,ba.t$V7,type="l",col=3)
lines(ba.t$V1,ba.t$V8,type="l",col=4)
lines(ba.t$V1,ba.t$V9,type="l",col=5)
lines(ba.t$V1,ba.t$V10,type="l",col=6)
lines(ba.t$V1,ba.t$V11,type="l",col=7)
lines(ba.t$V1,ba.t$V12,type="l",col=8)
lines(ba.t$V1,ba.t$V13,type="l",col=9,lty=2)
lines(ba.t$V1,ba.t$V14,type="l",col=10,lty=2)
lines(ba.t$V1,ba.t$V15,type="l",col=11,lty=2)
lines(ba.t$V1,ba.t$V16,type="l",col=12,lty=2)
##################################################
dev.set(3)
par(lwd=2)
plot(ba.age$V1,ba.age$V4,type="n",ylim=c(0,max(ba.age[,4:15])),xlab="Time_since_disturbance",ylab="BasalArea (m2/ha)",main="Basal Area versus Time",cex=1.3)
lines(ba.age$V1,ba.age$V4,type="l",col=1)
lines(ba.age$V1,ba.age$V5,type="l",col=2)
lines(ba.age$V1,ba.age$V6,type="l",col=3)
lines(ba.age$V1,ba.age$V7,type="l",col=4)
lines(ba.age$V1,ba.age$V8,type="l",col=5)
lines(ba.age$V1,ba.age$V9,type="l",col=6)
lines(ba.age$V1,ba.age$V10,type="l",col=7)
lines(ba.age$V1,ba.age$V11,type="l",col=8)
lines(ba.age$V1,ba.age$V12,type="l",col=9,lty=2)
lines(ba.age$V1,ba.age$V13,type="l",col=10,lty=2)
lines(ba.age$V1,ba.age$V14,type="l",col=11,lty=2)
lines(ba.age$V1,ba.age$V15,type="l",col=12,lty=2)
##################################################
# plot the age distribution
##################################################
##################################################
dev.set(4)
par(lwd=2)
plot(ba.age$V1,ba.age$V2,type="l",ylim=c(0,max(ba.age$V2)),xlab="Time_since_disturbance",ylab="FractionalArea
p(a)",main="Age Distribution",cex=1.3)
##################################################
# plot the distributions of Basal area as a function of tree size
##################################################
dev.set(5)
par(lwd=2)
ymax<-max(sum(ba.dbh[1,2:13]))
barplot(t(as.matrix(ba.dbh[,2:13])),col=seq(1,12,1),names=ba.dbh$V1,ylim=c(0,ymax),xlab="TreeDiameter(cm)",ylab="Basal_Area (m2/ha)",main="Diameter Distribution")
##############################################################################
dev.set(6)
ymax<-2
barplot(t(as.matrix(ba.dbh[,2:13])),col=seq(1,12,1),names=ba.dbh$V1,ylim=c(0,ymax),xlab="TreeDiameter(cm)",ylab="Basal_Area (m2/ha)",main="Diameter Distribution")
##############################################################################
